// src/unplugin-auto-import-resolver/index.ts
import { resolveModule } from "local-pkg";
import { readFileSync } from "node:fs";
var hooks;
function queryMetaData() {
  try {
    const root = resolveModule("vue-hooks-plus") || process.cwd();
    const path = resolveModule("vue-hooks-plus/meta-data.json") || resolveModule("vue-hooks-plus/meta-data.json", { paths: [root] });
    const metaData = JSON.parse(readFileSync(path, "utf-8"));
    hooks = metaData.function;
  } catch (e) {
    console.error(e);
    throw new Error(
      "[vue-hooks-plus:plugins] failed to load vue-hooks-plus, have you installed it?"
    );
  }
}
function resolveHooks(name, options) {
  if (!hooks)
    return;
  const { prefix } = options;
  if (prefix) {
    if (!name.startsWith(prefix))
      return;
    name = name.substring(prefix.length);
  }
  if (!hooks.includes(name))
    return;
  return {
    name,
    from: "vue-hooks-plus"
  };
}
function VueHooksPlusResolver(options = {}) {
  return (name) => {
    if (!hooks) {
      queryMetaData();
    }
    return resolveHooks(name, options);
  };
}
export {
  VueHooksPlusResolver
};
